<?php
require'f_trivia.php';
require'f_conectare.php';
conectare('trivia','joaca-trivia');
if($de>0)
{
require'f_refresh.php';
$head[4]=refresh('/joaca-trivia');
}
$titlu='Trivia';
require'f_tabelare.php';
require'f_sus.php';
$trivia=$conn->query('SELECT`valoare1`,`valoare2`FROM`setari_jocuri`WHERE`nume`="trivia2"')->fetch_row();
$actiune='';
if($trivia[0]<$_SERVER['REQUEST_TIME']&&$trivia[1]!=0)
{
if($trivia[1]!=0)
$actiune=3;
}
else
{
if($trivia[1]==0&&($trivia[0]-$_SERVER['REQUEST_TIME']<0))
$actiune=0;
if($trivia[1]==1&&($trivia[0]-$_SERVER['REQUEST_TIME']<120))
$actiune=1;
if($trivia[1]==2&&($trivia[0]-$_SERVER['REQUEST_TIME']<60))
$actiune=2;
if($trivia[1]==3&&($trivia[0]-$_SERVER['REQUEST_TIME']<0))
$actiune=3;
}
if($trivia[0]==0)
$actiune=0;
switch($actiune)
{
case'0':
$intrebare=$conn->query('SELECT`id`,`intrebare`,`raspuns`,`de`FROM`trivia_intrebari`WHERE`valid`>0 ORDER BY RAND() LIMIT 1')->fetch_row();
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="32",`valoare2`="'.$intrebare[0].'"WHERE`nume`="trivia1"');
$conn->query('INSERT INTO`trivia_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="[b]'.ucfirst($intrebare[1]).'[/b][br/]Ajutor: [span]'.preg_replace('/[a-z0-9]/i','*',$intrebare[2]).'[/span]'.($intrebare[3]!=$id_robot&&$intrebare[3]>0?'[br/]Adaugata de '.nume($intrebare[3],1):'').'",`de`="0"');
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="'.($_SERVER['REQUEST_TIME']+180).'",`valoare2`="1"WHERE`nume`="trivia2"');
break;
case'1':
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="16"WHERE`nume`="trivia1"');
$intrebare=$conn->query('SELECT`intrebare`,`raspuns`FROM`trivia_intrebari`WHERE`id`="'.$conn->query('SELECT`valoare2`FROM`setari_jocuri`WHERE`nume`="trivia1"')->fetch_row()[0].'"')->fetch_row();
$conn->query('INSERT INTO`trivia_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="[b]'.ucfirst($intrebare[0]).'[/b][br/]Ajutor 2: [span]'.$intrebare[1][0].mb_substr(preg_replace('/[a-z0-9]/i','*',$intrebare[1]),1).'[/span]",`de`="0"');
$conn->query('UPDATE`setari_jocuri`SET`valoare2`="2"WHERE`nume`="trivia2"');
break;
case'2':
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="8"WHERE`nume`="trivia1"');
$intrebare=$conn->query('SELECT`intrebare`,`raspuns`FROM`trivia_intrebari`WHERE`id`="'.$conn->query('SELECT`valoare2`FROM`setari_jocuri`WHERE`nume`="trivia1"')->fetch_row()[0].'"')->fetch_row();
$conn->query('INSERT INTO`trivia_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="[b]'.ucfirst($intrebare[0]).'[/b][br/]Ajutor 3: [span]'.$intrebare[1][0].mb_substr(preg_replace('/[a-z0-9]/i','*',$intrebare[1]),1,-1).$intrebare[1][-1].'[/span]",`de`="0"');
$conn->query('UPDATE`setari_jocuri`SET`valoare2`="3"WHERE`nume`="trivia2"');
break;
case'3':
$conn->query('INSERT INTO`trivia_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="Timpul a expirat :(, răspunsul corect era: [b]'.$conn->query('SELECT`raspuns`FROM`trivia_intrebari`WHERE`id`="'.$conn->query('SELECT`valoare2`FROM`setari_jocuri`WHERE`nume`="trivia1"')->fetch_row()[0].'"')->fetch_row()[0].'[/b].[br/]Urmatoarea întrebare peste [b]10[/b] secunde.",`de`="0"');
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="'.($_SERVER['REQUEST_TIME']+10).'",`valoare2`="0"WHERE`nume`="trivia2"');
break;
}
function caractere_trivia($text)
{
return str_replace(['ă','â','î','ș','ş','ț','ţ'],['a','a','i','s','s','t','t'],mb_strtolower($text));
}
$raspuns=caractere_trivia($conn->query('SELECT`raspuns`FROM`trivia_intrebari`WHERE`id`="'.$conn->query('SELECT`valoare2`FROM`setari_jocuri`WHERE`nume`="trivia1"')->fetch_row()[0].'"')->fetch_row()[0]);
$pmtext=caractere_trivia($pmtext);
if($pmtext==$raspuns&&$trivia[1]!=0)
{
$puncte=$conn->query('SELECT`valoare1`FROM`setari_jocuri`WHERE`nume`="trivia1"')->fetch_row()[0];
$conn->query('UPDATE`membrii`SET`trivia`=trivia+'.$puncte.' WHERE`id`="'.$de.'"');
$conn->query('INSERT INTO`trivia_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="Felicitari [b]'.nume($de,1).'[/b]!-bravo-[br/]Raspunsul corect era: [b]'.$raspuns.'[/b], ai câștigat [b]'.$puncte.'[/b] puncte trivia, și ai în total [b]'.number_format($conn->query('SELECT`trivia`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]).'[/b] puncte Trivia![br/]Urmatoarea întrebare în [b]10[/b] secunde.",`de`="0"');
$conn->query('INSERT INTO`evenimente`SET`text`="a scris un răspuns la trivia",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="'.($_SERVER['REQUEST_TIME']+10).'",`valoare2`="0"WHERE`nume`="trivia2"');
}
if(!empty($pmtext)&&$pmtext!=$conn->query('SELECT`text`FROM`trivia_raspunsuri`WHERE`de`="'.$de.'"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0])
{
require'f_mut.php';
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='mesaj trivia';
$text=$pmtext;
require'f_ban.php';
}
$conn->query('INSERT INTO`trivia_raspunsuri`SET`de`="'.$de.'",`text`="'.$pmtext.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('INSERT INTO`evenimente`SET`text`="a scris un răspuns la trivia",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`mesaje_chat`=mesaje_chat+1 WHERE`id`="'.$de.'"');
}
require'f_filtru.php';
echo$div[10].filtru($conn->query('SELECT`text`FROM`trivia_raspunsuri`WHERE`de`="0"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0]).$div[0].$div[1].'[<a href="/scrie-mesaj-trivia">Scrie</a>] [<a href="/joaca-trivia">reîncarcă</a>] [<a href="/conectati/categorie/trivia">conectați</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`trivia_conectati`')->fetch_row()[0]).'</strong>]';
$alerte_necitite=$conn->query('SELECT COUNT(*)FROM`alerte`WHERE`citit`="0"&&`la`="'.$de.'"')->fetch_row();
if($alerte_necitite[0]>0)
echo' [<a href="/dialog-alerte/tip/primite">alerte noi</a> <strong>'.$alerte_necitite[0].'</strong>]';
echo$div[0];
require'f_profil.php';
$postari=$conn->query('SELECT`de`,`text`FROM`trivia_raspunsuri`WHERE`de`>"0"ORDER BY`data`DESC LIMIT 10');
$elemente=$postari->num_rows;
if($elemente>0)
echo'<table'.$clasa_tabel.'>';
$cou=0;
while($postare=$postari->fetch_row())
{
$cou++;
echo'<tr><td'.$clasa_kk.'><a href="/profil-membru/la/'.$postare[0].'-'.seo(nume($postare[0],1)).'">'.avatar($postare[0]).'</a></td><td'.$clasa_k.'>'.$clasa_n.profil($postare[0]).$div[0].($is_pc=='1'?'':'<div class="'.($cou%2?'verde':'orange').'">').filtru($postare[1]).$div[0].'</td></tr>';
}
if($elemente>0)
echo'</table>';
echo$div[1].'<a href="/top-trivia">'.img('topuri.gif',2).'Top trivia</a>'.$div[0].$div[1].'<a href="/adauga-intrebari-trivia"><img src="'.$domenii_statice[1].'adauga.gif" alt="" />Adaugă întrebări trivia</a>'.$div[0].$div[1].'<a href="/intrebari-trivia">Intrebari trivia</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`trivia_intrebari`WHERE`valid`>"0"')->fetch_row()[0]).'</strong>'.$div[0];
require'f_jos.php';